singleton Material(ultrike_glass)
{
   mapTo = "ultrike_glass";
   //reflectivityMap[0] = "vehicles/common/glass_base.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.666 0.729 0.8 0.25";
   diffuseColor[1] = "0 0 0 0.1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ultrike_glass_border)
{
   mapTo = "ultrike_glass_border";
   diffuseColor[0] = "0.115 0.115 0.115 0.8";
   specular[0] = "White";
   specularPower[0] = "8";
   translucent = "1";
   translucentBlendOp = "LerpAlpha";
   materialTag0 = "Miscellaneous";
};

singleton Material(ultrike_engine)
{
   mapTo = "ultrike_engine";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   diffuseMap[1] = "vehicles/ultrike/ultrike_engine_d.png";
   normalMap[1] = "vehicles/ultrike/ultrike_engine_n.png";
   dynamicCubemap = "1"; //cubemap = "BNG_Sky_02_cubemap";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/ultrike/ultrike_engine_n.png";
};

singleton Material(ultrike_wing)
{
   mapTo = "ultrike_wing";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   diffuseColor[1] = "White";
   diffuseMap[1] = "vehicles/ultrike/ultrike_d.png";
   beamngDiffuseColorSlot = "2";
   diffuseColor[2] = "1 1 1 1";
   diffuseMap[2] = "vehicles/ultrike/ultrike_c.png";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   instanceDiffuse[2] = "1";
   subSurface[1] = "1";
   subSurface[2] = "1";
   subSurfaceColor[1] = "White";
   subSurfaceColor[2] = "White";
   subSurfaceRolloff[1] = "0.25";
   subSurfaceRolloff[2] = "0.25";
   specularPower[2] = "36";
   specularStrength[2] = "0.15";
   pixelSpecular[2] = "1";
};

singleton Material(ultrike_screen_0)
{
   mapTo = "ultrike_screen_0";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_0.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_1)
{
   mapTo = "ultrike_screen_1";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_1.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_2)
{
   mapTo = "ultrike_screen_2";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_2.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_3)
{
   mapTo = "ultrike_screen_3";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_3.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_4)
{
   mapTo = "ultrike_screen_4";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_4.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_5)
{
   mapTo = "ultrike_screen_5";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_5.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_6)
{
   mapTo = "ultrike_screen_6";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_6.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_7)
{
   mapTo = "ultrike_screen_7";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_7.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_8)
{
   mapTo = "ultrike_screen_8";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_8.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_9)
{
   mapTo = "ultrike_screen_9";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   diffuseMap[1] = "vehicles/ultrike/screen_9.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_a_u)
{
   mapTo = "ultrike_screen_a_u";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike_screen_a_d)
{
   mapTo = "ultrike_screen_a_d";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike_screen_a_c)
{
   mapTo = "ultrike_screen_a_c";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike_screen_t_u)
{
   mapTo = "ultrike_screen_t_u";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike_screen_t_d)
{
   mapTo = "ultrike_screen_t_d";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike_screen_t_c)
{
   mapTo = "ultrike_screen_t_c";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike_screen_t_m)
{
   mapTo = "ultrike_screen_t_m";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike_screen_t_x)
{
   mapTo = "ultrike_screen_t_x";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};


singleton Material(ultrike_screen)
{
   mapTo = "ultrike_screen";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag0 = "Miscellaneous";
   diffuseMap[1] = "vehicles/ultrike/ScreenF.png";
   useAnisotropic[1] = "1";
};

singleton Material(ultrike_screen_transparent)
{
   mapTo = "ultrike_screen_transparent";
   diffuseColor[0] = "0.31 0.44 0.34 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag0 = "Miscellaneous";
};

singleton Material(trike_ultrike_screen_a_d)
{
   mapTo = "ultrike_screen_a_d";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(trike_ultrike_screen_a_c)
{
   mapTo = "ultrike_screen_a_c";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(ultrike)
{
   mapTo = "ultrike";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   diffuseColor[1] = "1 1 1 1";
   diffuseMap[1] = "vehicles/ultrike/ultrike_c.png";
   dynamicCubemap = "1"; //cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = "1";
   diffuseColor[2] = "1 1 1 1";
   diffuseMap[2] = "vehicles/ultrike/ultrike_d.png";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   specularPower[2] = "36";
   specularStrength[2] = "0.3";
   pixelSpecular[2] = "1";
};

singleton Material(ultrike_wheel)
{
   mapTo = "ultrike_wheel";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   diffuseMap[1] = "vehicles/ultrike/ultrike_wheel_d.png";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ultrike_propeller)
{
   mapTo = "ultrike_propeller";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   diffuseColor[1] = "1 1 1 1";
   diffuseMap[1] = "vehicles/ultrike/ultrike_c.png";
   dynamicCubemap = "1"; //cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = "1";
   diffuseColor[2] = "1 1 1 1";
   diffuseMap[2] = "vehicles/ultrike/ultrike_d.png";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   specularPower[2] = "36";
   specularStrength[2] = "0.3";
   pixelSpecular[2] = "1";
};

singleton Material(ultrike_propeller_moving)
{
   mapTo = "ultrike_propeller_moving";
   diffuseColor[0] = "0 0 0 0";
   specular[0] = "White";
   specularPower[0] = "8";
   diffuseMap[1] = "vehicles/ultrike/ultrike_c.png";
   diffuseColor[2] = "1 1 1 1";
   diffuseMap[2] = "vehicles/ultrike/ultrike_d.png";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   translucent = "1";
   specularPower[2] = "36";
   specularStrength[2] = "0.3";
   pixelSpecular[2] = "1";
   beamngDiffuseColorSlot = "1";
   doubleSided = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ultrike_transparent)
{
   mapTo = "ultrike_transparent";
   diffuseColor[0] = "0 0 0 0";
   translucentBlendOp = "Addalpha";
   translucent = "1";
};

singleton SFXProfile(EolusL575EnginePropSound)
{
   fileName = "vehicles/ultrike/912_sound.ogg";
   description = "AudioDefaultLoop3D";
};